Module tdlight.api
Package it.tdlight.jni

# Class TdApi.ReplyMarkupRemoveKeyboard

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.ReplyMarkup
it.tdlight.jni.TdApi.ReplyMarkupRemoveKeyboard

Enclosing class:
  TdApi

public static final class TdApi.ReplyMarkupRemoveKeyboard extends TdApi.ReplyMarkup
Instructs application to remove the keyboard once this message has been received. This kind of keyboard can't be received in an incoming message; instead, UpdateChatReplyMarkup with messageId == 0 will be sent.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
`boolean`
`isPersonal`
True, if the keyboard is removed only for the mentioned users or the target user of a reply.

## Constructor Summary

Constructors
Constructor
Description
`ReplyMarkupRemoveKeyboard()`
Instructs application to remove the keyboard once this message has been received.
`ReplyMarkupRemoveKeyboard(boolean isPersonal)`
Instructs application to remove the keyboard once this message has been received.
`ReplyMarkupRemoveKeyboard(DataInput input)`
Instructs application to remove the keyboard once this message has been received.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### isPersonal

public boolean isPersonal
True, if the keyboard is removed only for the mentioned users or the target user of a reply.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### ReplyMarkupRemoveKeyboard

public ReplyMarkupRemoveKeyboard()
Instructs application to remove the keyboard once this message has been received. This kind of keyboard can't be received in an incoming message; instead, UpdateChatReplyMarkup with messageId == 0 will be sent.

### ReplyMarkupRemoveKeyboard

public ReplyMarkupRemoveKeyboard(boolean isPersonal)
Instructs application to remove the keyboard once this message has been received. This kind of keyboard can't be received in an incoming message; instead, UpdateChatReplyMarkup with messageId == 0 will be sent.

Parameters:
  `isPersonal` - boolean True, if the keyboard is removed only for the mentioned users or the target user of a reply.

### ReplyMarkupRemoveKeyboard

public ReplyMarkupRemoveKeyboard(DataInput input) throws IOException
Instructs application to remove the keyboard once this message has been received. This kind of keyboard can't be received in an incoming message; instead, UpdateChatReplyMarkup with messageId == 0 will be sent.

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`